@import '../config';
$radius: 0.5em;

.background {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;

    background: hsla(0, 0%, 0%, 80%);

    z-index: 1;

    display: flex;
    justify-content: center;
    align-items: center;

    img {
        $margin: 3em;
        max-width:  calc(100% - 2*$margin);
        max-height: calc(100% - 2*$margin);
    }
    .player {
        $margin: 3em;
        width:  calc(100vw - 4*$margin) !important;
        max-height: calc(100vh - 4*$margin) !important;
    }
    .player video {
        max-width: 100%;
        max-height: 100%;
    }

    .buttons {
        position: fixed;
        top: 1em;
        right: 1em;

        border-radius: $radius;
        border: 1px solid hsl(0, 0%, 10%);
        color: #eee;

        background: hsl(0, 0%, 15%);
        box-shadow: rgba(0, 0, 0, 0.5) 0px 2px 8px 0px;

        // Icon
        div {
            padding: 0.25em;
            cursor: pointer;

            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;

            &:hover {
                background: hsl(0, 0%, 25%);
    
                &:first-child {
                    border-radius: calc(#{$radius} - 1px) calc(#{$radius} - 1px) 0 0;
                }
                &:last-child {
                    border-radius: 0 0 calc(#{$radius} - 1px) calc(#{$radius} - 1px);
                }
            }
        }

    }

}